# $Revision: 1.39 $, $Date: 2008/07/27 22:50:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Screen
Summary:	CGI::Screen - Perl extension for easy creation of multi screen CGI scripts
Summary(pl.UTF-8):	CGI::Screen - rozszerzenia Perla do łatwego tworzenia wieloekranowych skryptów CGI
Name:		perl-CGI-Screen
Version:	0.122
Release:	11
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3bcbb56df1852bd20183cd9eda3ea6e9
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::Screen is a subclass of "CGI" which allows the esay(TM) creation
of simple multi screen CGI scripts.  By 'multi screen' I mean scripts
which present different screens to the user when called with different
parameters. This is the common case for scripts linking to themselves.

%description -l pl.UTF-8
CGI::Screen jest podklasą "CGI", która umożliwia łatwe(TM) tworzenie
wieloekranowych skryptów CGI. ,,Skrypt wieloekranowy'' oznacza tu
skrypt, który przedstawia użytkownikowi różne ekrany, gdy wywoływany
jest z różnymi parametrami. Jest to przypadek ogólny dla skryptów,
które wywołują same siebie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/CGI/Screen.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Screen.spec,v $
Revision 1.39  2008/07/27 22:50:19  arekm
- release 11

Revision 1.38  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.37  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.36  2004/11/03 22:30:08  paladine
- formatting

Revision 1.35  2004/10/24 13:51:18  paladine
- spelling fix

Revision 1.34  2004/06/05 18:10:32  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.33  2004/05/07 00:59:45  ankry
- rel. 10

Revision 1.32  2004/05/06 18:09:18  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/25 15:55:56  ankry
- tests added

Revision 1.30  2004/04/18 13:01:50  ankry
- better summary/desc

Revision 1.29  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 18:45:33  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/25 00:36:51  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:27:06  ankry
- massive attack: change CPAN URLs

Revision 1.21  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.20  2002/07/10 08:46:26  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 03:55:48  kloczek
- cosmetics.

Revision 1.17  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:09:58  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:24:23  depesz
adapterized

Revision 1.14  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:06:04  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/28 03:06:15  kloczek
- release 5: rebuild against perl 5.6 and use new rpm automation.

Revision 1.9  2000/08/27 17:57:23  kloczek
- release 4.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
